---
title: "Get message"
url: https://docs.gleap.ai/en/reference/rest-api/get-s2s-messages-messageid
method: GET
path: "/s2s/messages/{messageId}"
api: "API Reference"
tag: "S2S Messages"
operationId: "Get"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get message

`GET https://api.gleap.io/v3/s2s/messages/{messageId}`

Fetch a single message.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `messageId` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/s2s/messages/{messageId}' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `id` (string, required)
- `conversationId` (string, required)
- `text` (string)
- `author` (object, required)
  - `type` (enum<string>, required): One of: `contact`, `agent`, `bot`, `system`.
  - `id` (string)
  - `name` (string)
  - `avatar` (string)
- `attachments` (object[], required)
  - `url` (string, required)
  - `name` (string)
  - `contentType` (string)
- `replyToMessageId` (string)
- `rating` (string)
- `unread` (boolean, required)
- `createdAt` (string<date-time>, required)

```json
{
  "id": "string",
  "conversationId": "string",
  "text": "string",
  "author": {
    "type": "contact",
    "id": "string",
    "name": "string",
    "avatar": "string"
  },
  "attachments": [
    {
      "url": "string",
      "name": "string",
      "contentType": "string"
    }
  ],
  "replyToMessageId": "string",
  "rating": "string",
  "unread": true,
  "createdAt": "2026-01-01T12:00:00Z"
}
```
